<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "service_type".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ServiceType".
 *
 * Columns in table "service_type" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $name
 * @property integer $display_in_dropdown
 *
 */
abstract class BaseServiceType extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'service_type';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ServiceType|ServiceTypes', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name, display_in_dropdown', 'required'),
            array('display_in_dropdown', 'numerical', 'integerOnly' => true),
            array('name', 'length', 'max' => 45),
            array('id, name, display_in_dropdown', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'display_in_dropdown' => Yii::t('app', 'Display In Dropdown'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('display_in_dropdown', $this->display_in_dropdown);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
